<?php

namespace App\Repositories;


use App\Models\ConfigProvince;

class ConfigProvinceRepository
{
    public function __construct(ConfigProvince $configProvince)
    {
        $this->configProvince = $configProvince;
    }


    public function index($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : env('PER_PAGE');

        $this->configProvince = $this->configProvince
                ->orderBy('bjcity_id', 'desc');

            return $this->configProvince->paginate($perPage);

    }
}