<?php

namespace App\Repositories;



use App\Models\ConfigStoreType;

class ConfigStoreTypeRepository
{
    public function __construct(ConfigStoreType $configStoreType)
    {
        $this->configStoreType = $configStoreType;
    }


    public function index($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : env('PER_PAGE');

        $this->configStoreType = $this->configStoreType
                ->orderBy('id', 'desc');

            return $this->configStoreType->paginate($perPage);

    }
}