<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-03-26
 * Time: 14:38
 */

namespace App\Repositories;


use App\Products;

class ProductsRepository {
    public function __construct(Products $products) {
        $this->products = $products;
    }
    //列表
    public function lists($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : env('PER_PAGE');
        if (isset($request['keyword'])) {
            $this->products = $this->products
                ->orderBy('id', 'desc')
                ->where(function ($query) use($request) {
                    $query->orWhere('name', 'like', "{$request['keyword']}%")
                          ->orWhere('yieldly', 'like', "{$request['keyword']}%");
                });
        }

        return $this->products->paginate($perPage);
    }
    //添加
    public function add($request){
        if($request){
            return $this->products->create($request);
            //return $this->products->where('id',1)->delete();
        }
    }
}