<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdateConfigPickupNodeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('config_pickup_node', function (Blueprint $table) {
            $table->integer('distance')->comment('距离');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('config_pickup_node', function (Blueprint $table) {
            $table->dropColumn(['distance']);
        });
    }
}
