<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableConfigProvince extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('config_province', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name',30);  //名称
            $table->integer('parent_id');//父级ID
            $table->integer('level');//级别
            $table->tinyInteger('sort');//排序
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('config_province');
    }
}
